ListMyTasks
GET
/api/v1/t/{tenant}/workflows/tasks
const url = 'https://example.com/api/v1/t/example/workflows/tasks?sort=Oldest';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/api/v1/t/example/workflows/tasks?sort=Oldest'Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”tenant
required
string
Tenant slug
Query Parameters
Section titled “Query Parameters”page
integer format: int32
pageSize
integer format: int32
sort
q
string
Responses
Section titled “ Responses ”OK
Media typeapplication/json
object
items
required
Array<object>
object
taskId
required
string format: uuid
instanceId
required
string format: uuid
documentId
required
string format: uuid
documentTitle
required
string
kind
required
template
required
stepName
required
string
stepLabel
required
null | string
requestedBy
required
null | string format: uuid
requestedByName
required
null | string
intendedForUserId
required
null | string format: uuid
escalated
required
boolean
assignedAt
required
string format: date-time
dueAt
required
null | string format: date-time
documentTypeId
required
null | string format: uuid
grossAmount
required
null | number format: double
currency
required
null | string
vendorName
required
null | string
invoice
required
One of:
null
object
netTotal
required
null | number format: double
taxTotal
required
null | number format: double
taxLines
required
Array<object>
object
rate
required
number format: double
net
required
number format: double
tax
required
number format: double
dueDate
required
null | string format: date
skontoPercent
required
null | number format: double
skontoUntil
required
null | string format: date
costCenter
required
collectiveApprovalEligible
required
boolean
definitionName
required
null | string
page
required
integer format: int32
pageSize
required
integer format: int32
total
required
integer format: int32
collectiveApprovalCap
required
null | number format: double
Example
{ "items": [ { "kind": "Approve", "template": "InvoiceApproval" } ]}Bad Request
Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string
errors
object
key
additional properties
Array<string>
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example", "errors": { "additionalProperty": [ "example" ] }}Forbidden
Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Too Many Requests
Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}